--- asterisk-11.2.1.o/res/res_clialiases.c	2011-11-29 20:43:16.000000000 +0200
+++ asterisk-11.2.1/res/res_clialiases.c	2013-03-06 18:15:13.449476637 +0200
@@ -209,9 +209,11 @@
 			alias->cli_entry.command = alias->alias;
 			alias->cli_entry.usage = "Aliased CLI Command\n";
 
-			ast_cli_register(&alias->cli_entry);
-			ao2_link(cli_aliases, alias);
-			ast_verb(2, "Aliased CLI command '%s' to '%s'\n", v1->name, v1->value);
+			if (!ast_cli_register(&alias->cli_entry)) {
+				ao2_link(cli_aliases, alias);
+				ast_verb(2, "Aliased CLI command '%s' to '%s'\n", v1->name, v1->value);
+			} else
+				ast_log(LOG_WARNING, "Error aliasing command '%s'.", v1->name);
 			ao2_ref(alias, -1);
 		}
 	}
